Package org.alfresco.rest.requests
Class Processes
- java.lang.Object
-
- org.alfresco.rest.requests.ModelRequest<Processes>
-
- org.alfresco.rest.requests.Processes
-
public class Processes extends ModelRequest<Processes>
Created by Claudia Agache on 10/11/2016.
-
-
Field Summary
-
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper
-
-
Constructor Summary
Constructors Constructor Description Processes(RestWrapper restWrapper)Processes(org.alfresco.utility.model.ProcessModel processModel, RestWrapper restWrapper)
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description RestProcessModeladdProcess(java.lang.String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority)Starts new process using POST /processesRestItemModeladdProcessItem(org.alfresco.utility.model.FileModel fileModel)Add process item using POST /processes/{processId}/itemsRestItemModelsCollectionaddProcessItems(org.alfresco.utility.model.FileModel... fileModels)Add process items using POST /processes/{processId}/itemsRestProcessVariableModeladdProcessVariable(RestProcessVariableModel variableModel)Add process variable using POST /processes/{processId}/variablesRestProcessVariableCollectionaddProcessVariables(RestProcessVariableModel... processVariablesModel)Add process variables using POST /processes/{processId}/variablesRestProcessModeladdProcessWithBody(java.lang.String postBody)Starts new process with given input body using POST /processesvoiddeleteProcess()Delete a process using DELETE call on processes/{processId}voiddeleteProcessItem(RestItemModel itemModel)Delete a process item using DELETE call on processes/{processId}/items/{itemId}voiddeleteProcessVariable(RestProcessVariableModel variableModel)Delete a process variable using DELETE call on processes/{processId}/variables/{variableName}RestProcessModelgetProcess()Retrieves the process identified by processId using GET /processes/{processId}RestProcessModelsCollectiongetProcesses()Retrieve 100 processes (this is the default size when maxItems is not specified) from Alfresco using GET call on "/processes"RestItemModelsCollectiongetProcessItems()Retrieve all process items from Alfresco using GET /processes/{processId}/itemsRestTaskModelsCollectiongetProcessTasks()Retrieve all tasks of a specified process from Alfresco using GET /processes/{processId}/tasksRestProcessVariableCollectiongetProcessVariables()Retrieve all process variables from Alfresco using GET /processes/{processId}/variablesRestProcessVariableModelupdateProcessVariable(RestProcessVariableModel variableModel)Update/Add process variable using PUT /processes/{processId}/variables/{variableName}-
Methods inherited from class org.alfresco.rest.requests.ModelRequest
includePath, usingParams
-
-
-
-
Constructor Detail
-
Processes
public Processes(RestWrapper restWrapper)
-
Processes
public Processes(org.alfresco.utility.model.ProcessModel processModel, RestWrapper restWrapper)
-
-
Method Detail
-
getProcesses
public RestProcessModelsCollection getProcesses() throws java.lang.Exception
Retrieve 100 processes (this is the default size when maxItems is not specified) from Alfresco using GET call on "/processes"- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
getProcessVariables
public RestProcessVariableCollection getProcessVariables() throws java.lang.Exception
Retrieve all process variables from Alfresco using GET /processes/{processId}/variables- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
getProcess
public RestProcessModel getProcess() throws java.lang.Exception
Retrieves the process identified by processId using GET /processes/{processId}- Returns:
- Throws:
java.lang.Exception
-
deleteProcess
public void deleteProcess() throws java.lang.ExceptionDelete a process using DELETE call on processes/{processId}- Throws:
java.lang.Exception
-
addProcess
public RestProcessModel addProcess(java.lang.String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority) throws java.lang.Exception
Starts new process using POST /processes- Parameters:
processDefinitionKey-assignee-sendEmailNotifications-priority-- Returns:
- Throws:
java.lang.Exception
-
addProcessWithBody
public RestProcessModel addProcessWithBody(java.lang.String postBody) throws java.lang.Exception
Starts new process with given input body using POST /processes- Parameters:
postBody-- Returns:
- Throws:
java.lang.Exception
-
addProcessVariable
public RestProcessVariableModel addProcessVariable(RestProcessVariableModel variableModel) throws java.lang.Exception
Add process variable using POST /processes/{processId}/variables- Parameters:
variableModel-- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
addProcessVariables
public RestProcessVariableCollection addProcessVariables(RestProcessVariableModel... processVariablesModel) throws java.lang.Exception
Add process variables using POST /processes/{processId}/variables- Parameters:
processVariablesModel-- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
getProcessItems
public RestItemModelsCollection getProcessItems() throws java.lang.Exception
Retrieve all process items from Alfresco using GET /processes/{processId}/items- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
deleteProcessVariable
public void deleteProcessVariable(RestProcessVariableModel variableModel) throws java.lang.Exception
Delete a process variable using DELETE call on processes/{processId}/variables/{variableName}- Parameters:
variableModel-- Throws:
java.lang.Exception
-
updateProcessVariable
public RestProcessVariableModel updateProcessVariable(RestProcessVariableModel variableModel) throws java.lang.Exception
Update/Add process variable using PUT /processes/{processId}/variables/{variableName}- Parameters:
variableModel-- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
getProcessTasks
public RestTaskModelsCollection getProcessTasks() throws java.lang.Exception
Retrieve all tasks of a specified process from Alfresco using GET /processes/{processId}/tasks- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
addProcessItem
public RestItemModel addProcessItem(org.alfresco.utility.model.FileModel fileModel) throws java.lang.Exception
Add process item using POST /processes/{processId}/items- Parameters:
fileModel-- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
addProcessItems
public RestItemModelsCollection addProcessItems(org.alfresco.utility.model.FileModel... fileModels) throws java.lang.Exception
Add process items using POST /processes/{processId}/items- Parameters:
fileModels-- Returns:
- Throws:
JsonToModelConversionExceptionjava.lang.Exception
-
deleteProcessItem
public void deleteProcessItem(RestItemModel itemModel) throws java.lang.Exception
Delete a process item using DELETE call on processes/{processId}/items/{itemId}- Parameters:
itemModel-- Throws:
java.lang.Exception
-
-